%global svnrev  1893

Name:           guayadeque
Version:        0.3.7
Release:        4.svn%{svnrev}%{?dist}
Summary:        Music player

License:        GPLv3+ and BSD and LGPLv2+
Group:          Applications/Multimedia
URL:            http://guayadeque.org/
# The source for this package was pulled from upstream's svn.  Use
# svn co -r1893 http://guayadeque.svn.sourceforge.net/svnroot/guayadeque/Trunk guayadeque-svn1893
# remove .svn dirs to keep the SRPM small
# rm -rf `find . -name .svn`
# to generate the tarball:
# tar cfj guayadeque-svn1893.tar.bz2 guayadeque-svn1893
Source0:        %{name}-svn%{svnrev}.tar.bz2
# https://sourceforge.net/p/guayadeque/bugs-reports/_discuss/thread/0fc06ad6/2fc9/attachment/guayadeque-fix-dso-linker.patch
Patch0:         %{name}-fix-dso-linker.patch

BuildRequires:  cmake
BuildRequires:  taglib-devel
BuildRequires:  libgpod-devel
BuildRequires:  libcurl-devel
BuildRequires:  gstreamer-devel
BuildRequires:  desktop-file-utils
BuildRequires:  sqlite-devel
BuildRequires:  wxGTK-devel
BuildRequires:  wxsqlite3-devel
BuildRequires:  dbus-devel
BuildRequires:  subversion-devel
BuildRequires:  gettext-devel

Provides:       bundled(md5-polstra)

%description
Guayadeque is a music management program designed for all music enthusiasts. It
is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.


%prep
%setup -q -n %{name}-svn%{svnrev}
%patch0 -p1
# deleting Unity parts in guayadeque.desktop files
sed -i '18,38d' guayadeque.desktop
# remove bundled libraries
rm -rf src/wx/wxsql* src/wxsqlite3

%build
mkdir -p build-guayadeque && pushd build-guayadeque
%cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_CXX_FLAGS:STRING="-Wno-unused-local-typedefs" \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=FALSE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -D_GUREVISION_:STRING=%{svnrev} \
..
make %{?_smp_mflags}
popd

%install
make -C  build-guayadeque install DESTDIR=%{buildroot}
desktop-file-install --delete-original  \
        --dir %{buildroot}%{_datadir}/applications   \
        --remove-category Application \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%doc LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-4.svn1893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-3.svn1893
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.3.7-2.svn1893
- rebuild for new svn release

* Tue Apr 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.3.7-1.svn1891
- removed flac dependencies
- rebuild for new release

* Sat Jan 18 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-19.svn1890
- rebuild for new svn release

* Fri Jan 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-18.svn1889
- rebuild for new svn release

* Tue Dec 3 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-17.svn1887
- rebuild for new svn release
- added compiler flag to suppress "-Wno-unused-local-typedefs" warnings

* Tue Oct 22 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-16.svn1885
- added correct license type
- removed tabs in the spec file
- added %%desktop-database because desktop entry has a 'MimeType key.
- removing .svn directory will now used before building the tarball

* Mon Oct 21 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-15.svn1885
- added command to remove .svn dirs
- added %%cmake option for svn revision

* Mon Oct 14 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-14.svn1885
- rebuild
- corrected url address

* Wed Feb 13 2013 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-13.svn1872
- rebuild

* Wed Dec 26 2012 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-12.svn1858
- removed %%cmake flags for wxsqlite3
- rebuild
- specfile cleanup

* Sun Dec 23 2012 Martin Gansser <martinkg@fedoraproject.org> - 0.3.6-11.svn1858
- rebuild for new svn release

* Sat Dec 1 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-10.svn1848
- changed %%cmake flag for new wxsqlite3 version 
- rebuild for new release 

* Sat Nov 24 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-9.svn1845
- update CMakeLists.patch and unbundle-wxsqlite3.patch for fedora 17 / 18

* Sat Nov 24 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-8.svn1845
- added wxsqlite3 build requirenment
- added CMakeLists.patch
- changed cmake flags
- spec file cleanup
- rebuild for new svn release

* Sun Oct 21 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-7.svn1830
- added unbundle-wxsqlite3.patch
- added command to remove src/wx/wxsql* src/wxsqlite3 from source

* Sat Sep 15 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-6.svn1830
- used %%{name} in file section
- removed unnecessary Requirements

* Sun Sep 9 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-5.svn1830
- added BSD license for HMAC-SHA implementation

* Sat Sep 8 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-4.svn1830
- removed  gcc-c++ build requirement
- removed %%defattr from file section

* Fri Sep 7 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-3.svn1830
- added patch for DSO linker problem on fedora 19
- added missing build requirements

* Tue Sep 4 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-2.svn1830
- changed release tag
- changed to buildroot variante
- removed uneeded macro _pkgbuilddir
- added Provides: bundled(md5-polstra)

* Thu Aug 30 2012 Martin Gansser <linux4martin@gmx.de> - 0.3.6-2.svn1830
-  initial release for Fedora17 

